Skip to main content
GET
/
v1
/
events
Query audit events in a time range
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/events \
  --header 'Authorization: Bearer <token>'
{
  "page": 1,
  "results": [
    {
      "eventId": "123e4567-e89b-12d3-a456-426614174000",
      "actorEmail": "user123@abc.com",
      "actorId": "<string>",
      "additionalInfo": {
        "ip": "68.134.82.19"
      },
      "eventDescription": "User logged in",
      "eventName": "hub_user_login",
      "eventProjectId": "4cfcf46e-5bb1-4887-8772-d1c0eeb0cfef",
      "eventSource": "secrets-reference",
      "eventSubjectId": "C67A9A1A-5A49-4EBF-8222-0C6DCC572505",
      "eventSubjectName": "my-first-secret",
      "eventSubjectType": "USER",
      "eventTimestamp": "2025-01-30T00:30:12.000Z",
      "eventType": "LOGIN"
    }
  ],
  "size": 50,
  "total": 472
}

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

from
string<date-time>
required

The earliest date and time of audit events to retrieve. The date time format should be in ISO 8601 format, e.g.: 2025-02-20T07:15:15.000-01:00

Example:

"2021-11-17T14:15:15.000Z"

to
string<date-time>
required

The latest date and time of audit events to retrieve. The date time format should be in ISO 8601 format, e.g.: 2025-02-21T07:15:15.000-01:00

Example:

"2021-11-17T15:15:15.000Z"

Response

Audit logs have been retrieved

page
integer<int32>

The 0-indexed page number of the returned results.

Example:

1

results
object[]

Page of results or empty.

size
integer<int32>

The size of each page of results.

Example:

50

total
integer<int64>

Total number of available results across all pages.

Example:

472